<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\DatamodulHelper\DozentenHelper;

class DozentenUebersichtHelper extends DozentenHelper
{
  protected function setzeFilter($dbwDozenten, $filter, $pToolId)
  {
    $searchFilter = new \Kufer\Web\KuferTools\Utils\FilterSearch\DozentenSearchFilter();
    $searchFilter->applySearchFromSession($filter, 'tool' . $pToolId);

    return $dbwDozenten;
  }

  protected function setzeSortierung($dbwDozenten)
  {
    $dbwDozenten->orderby = $this->toolSettings->sortdoz;
    $dbwDozenten->orderbyasc = $this->toolSettings->sortdozasc;

    return $dbwDozenten;
  }
}